Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.sdk.repository
Class RepositoryContext

`java.lang.Object
oracle.rules.sdk.repository.RepositoryContext`

public class RepositoryContext
extends java.lang.Object

RepositoryContext holds repository security and configuration information

Constructor Summary
`RepositoryContext()`

Method Summary
`java.util.Locale` | `getLocale()` Get the Locale
`java.security.Principal` | `getPrincipal()` Get the principal
`java.util.Properties` | `getProperties()` Get all properties
`java.lang.String` | `getPropertyValue(java.lang.String name)` Get value of a property
`SensitiveDataCallback` | `getSensitiveDataCallback()` Get the callback object used for retrieving sensitive data
`void` | `setLocale(java.util.Locale locale)` Set the Locale
`void` | `setPrincipal(java.security.Principal principal)` Set a principal
`void` | `setProperty(java.lang.String name, java.lang.String value)` Set a property
`void` | `setSensitiveDataCallback(SensitiveDataCallback callback)` Set callback object used for retrieving sensitive data

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepositoryContext

    public RepositoryContext()

Method Detail

### getPropertyValue

    public java.lang.String getPropertyValue(java.lang.String name)

  Get value of a property
  Parameters:
    `name` - property name
  Returns:
    property value

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.String value)

  Set a property
  Parameters:
    `name` - property name
    `value` - property value

### getProperties

    public java.util.Properties getProperties()

  Get all properties
  Returns:
    all properties

### getPrincipal

    public java.security.Principal getPrincipal()

  Get the principal
  Returns:
    the principal. Null if principal is not set.

### setPrincipal

    public void setPrincipal(java.security.Principal principal)

  Set a principal
  Parameters:
    `principal` - the principal to be set

### getLocale

    public java.util.Locale getLocale()

  Get the Locale
  Returns:
    the Locale. Default locale if locale is not set.

### setSensitiveDataCallback

    public void setSensitiveDataCallback(SensitiveDataCallback callback)

  Set callback object used for retrieving sensitive data
  Parameters:
    `callback` - the callback object for retrieving sensitive data

### getSensitiveDataCallback

    public SensitiveDataCallback getSensitiveDataCallback()

  Get the callback object used for retrieving sensitive data
  Returns:
    the callback object for retrieving sensitive data

### setLocale

    public void setLocale(java.util.Locale locale)

  Set the Locale
  Parameters:
    `locale` - the Locale to be set

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.